Send order tracking details
Send the carrier and order tracking number to Bolt (after a label has been printed). Bolt then uses EasyPost to forward ongoing tracking event updates to the shopper. This request must include all items included in the shipment; their references must also match those found in the original cart generation.
Authorization
X-API-Key X-API-KeyAdmins and Developers can obtain their Bolt API key from the Bolt Merchant Dashboard.
In: header
Scope: X-API-Key
Request Body
application/json
Send order tracking details.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/merchant/track_shipment" \ -H "Content-Type: application/json" \ -d '{ "carrier": "UPS", "items": [ { "name": "Blue Hat", "quantity": 3, "reference": "1123", "total_amount": { "amount": 754, "currency": "USD", "currency_symbol": "$" }, "unit_price": { "amount": 754, "currency": "USD", "currency_symbol": "$" } } ], "tracking_number": "EZ1000000001", "transaction_reference": "LBLJ-TWW7-R9VC" }'{}Create Order Token POST
Make a request to this endpoint to create a Bolt order, generate a Bolt order token, and initiate the checkout process. A Bolt order token is required for Bolt orders; see Non-Bolt orders for alternative use cases.
Fetch a Statement POST
Get a pre-signed URL for the requested statement file.